ru.bitel.bgbilling.kernel.tariff.option.server.event

## Class TariffOptionDeactivatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionDeactivatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TariffOptionDeactivatedEvent
      extends QueueEvent

  Скриптовое событие об деактивации тарифной опции.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TariffOptionDeactivatedEvent()`
    `` | `TariffOptionDeactivatedEvent(int userId, ContractTariffOption contractOption, TariffOptionActivateMode mode, TariffOption option)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TariffOptionActivateMode` | `getActivateMode()`
    `ContractTariffOption` | `getContractOption()`
    `TariffOption` | `getOption()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffOptionDeactivatedEvent

          protected TariffOptionDeactivatedEvent()

    - #### TariffOptionDeactivatedEvent

          public TariffOptionDeactivatedEvent(int userId,
                                              ContractTariffOption contractOption,
                                              TariffOptionActivateMode mode,
                                              TariffOption option)

  - ### Method Detail

    - #### getContractOption

          public ContractTariffOption getContractOption()

    - #### getActivateMode

          public TariffOptionActivateMode getActivateMode()

    - #### getOption

          public TariffOption getOption()